Retrieves the user_planning_slot with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_planning_slot| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| user_id |
Foreign key to user. |
globally unique identifier |
Required |
| user_planning_slot_type_id |
Foreign key to user planning slot type id. |
globally unique identifier |
Required |
| date_from |
Date from, |
date | |
| date_to |
Date to, |
date | |
| description |
Description of user planning slot. |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating. |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "eaa79600-a230-45b0-b6ce-b44b6ffc49d8",
"user_id": "184cc912-6465-4576-914b-c8b0318697b1",
"user_planning_slot_type_id": "c8f1a38b-9307-48a4-a95d-430eb9811521",
"date_from": "2026-10-24T07:12:05.8936553+00:00",
"date_to": "2026-10-24T07:12:05.8936553+00:00",
"description": "sample string 6",
"modified_dateutc": "2026-10-24T07:12:05.8936553+00:00"
}